Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.spring.remoting
Class SpringRemoteInvokerComponent

    java.lang.Object
      org.mule.module.spring.remoting.SpringRemoteInvokerComponent

All Implemented Interfaces:
  Callable, EventListener, Initialisable

    public class SpringRemoteInvokerComponent

extends Object
implements Initialisable, Callable

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`SpringRemoteInvokerComponent()`

Method Summary
`org.springframework.remoting.support.RemoteInvocationExecutor` | `getRemoteInvocationExecutor()`
`Object` | `getServiceBean()`
`Class` | `getServiceClass()`
`Class` | `getServiceInterface()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isRegisterTraceInterceptor()`
`Object` | `onCall(MuleEventContext eventContext)` Passes the event to the listener
`void` | `setRegisterTraceInterceptor(boolean registerTraceInterceptor)`
`void` | `setRemoteInvocationExecutor(org.springframework.remoting.support.RemoteInvocationExecutor remoteInvocationExecutor)`
`void` | `setServiceBean(Object serviceBean)`
`void` | `setServiceClass(Class serviceClass)`
`void` | `setServiceInterface(Class serviceInterface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringRemoteInvokerComponent

    public SpringRemoteInvokerComponent()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getServiceClass

    public Class getServiceClass()

### setServiceClass

    public void setServiceClass(Class serviceClass)

### getServiceBean

    public Object getServiceBean()

### setServiceBean

    public void setServiceBean(Object serviceBean)

### getServiceInterface

    public Class getServiceInterface()

### setServiceInterface

    public void setServiceInterface(Class serviceInterface)

### isRegisterTraceInterceptor

    public boolean isRegisterTraceInterceptor()

### setRegisterTraceInterceptor

    public void setRegisterTraceInterceptor(boolean registerTraceInterceptor)

### getRemoteInvocationExecutor

    public org.springframework.remoting.support.RemoteInvocationExecutor getRemoteInvocationExecutor()

### setRemoteInvocationExecutor

    public void setRemoteInvocationExecutor(org.springframework.remoting.support.RemoteInvocationExecutor remoteInvocationExecutor)

### onCall

    public Object onCall(MuleEventContext eventContext)
                  throws Exception

  Description copied from interface: `Callable`
  Passes the event to the listener

  Specified by:
    `onCall` in interface `Callable`
  Parameters:
    `eventContext` - the context of the current event being process
  Returns:
    Object this object can be anything. When the `LifecycleAdapter` for the service receives this object it will first see if the Object is an `MuleMessage` if not and the Object is not null a new message will be created using the returned object as the payload. This new event will then get published via the configured outbound router if-
    1. One has been configured for the component.
    2. the `setStopFurtherProcessing(true)` wasn't called on the event context event.
  Throws:
    `Exception` - if the event fails to process properly. If exceptions aren't handled by the implementation they will be handled by the exceptionListener associated with the service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.